Fiscal Harmony API
  1. Tax Mappings
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
        GET
      • Add Tax Mapping
        POST
      • Get Specific Tax Mapping
        GET
      • Update Tax Mapping
        PUT
      • Delete Tax Mapping
        DELETE
    • Currency Mappings
      • Supported Currencies
      • Get All CurrencyMappings
      • Add Currency Mapping
      • Get Specific Currency Mapping
      • Update Currency Mapping
      • Delete Currency Mapping
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Tax Mappings

Add Tax Mapping

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
POST
/taxmapping
Last modified:2026-03-02 13:57:09
Saves a new tax mapping item to the collection of tax mappings in the app.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Returns a TaxMapping, with the Id, UserId and ZimraTaxId added to the new mapping.
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://mock.apidog.com/m1/1209598-0-default/taxmapping' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1' \
--header 'Content-Type: application/json' \
--data-raw '{
  "TaxCode": "155",
  "TaxName": "Old VAT (15%)",
  "DestinationTaxId": 4
}'
Response Response Example
{
    "Id": 1,
    "UserId": 2,
    "TaxCode": "155",
    "TaxName": "Old VAT (15%)",
    "ZimraTaxId": 4,
    "DestinationTaxId": 4
}
Modified at 2026-03-02 13:57:09
Previous
Get All TaxMappings
Next
Get Specific Tax Mapping
Built with